> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Storefront Info

> Which storefront renders this store, so the content pages can warn a
store on a dedicated client (kea, sexyshop, aza…) that some features do not
reach its site.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/cms/storefront
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/cms/storefront:
    get:
      tags:
        - admin:cms-pages
      summary: Storefront Info
      description: >-
        Which storefront renders this store, so the content pages can warn a

        store on a dedicated client (kea, sexyshop, aza…) that some features do
        not

        reach its site.
      operationId: storefront_info_api_v1_admin_cms_storefront_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_CmsStorefrontOut_'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_CmsStorefrontOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CmsStorefrontOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[CmsStorefrontOut]
    CmsStorefrontOut:
      properties:
        hosting_tier:
          type: string
          title: Hosting Tier
        shared_storefront:
          type: boolean
          title: Shared Storefront
        public_base_url:
          type: string
          title: Public Base Url
      type: object
      required:
        - hosting_tier
        - shared_storefront
        - public_base_url
      title: CmsStorefrontOut
      description: >-
        Which storefront renders this store (CON-15).


        ``shared`` = the shared Vellaro storefront (apps/template): pages,
        menus,

        banners «in homepage», flipbooks and themes all reach the site.
        ``dedicated``

        = a custom client (kea, sexyshop, aza…) that renders only part of them.
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.